config() {
  NEW="$1"
  OLD="`dirname $NEW`/`basename $NEW .new`"
  # If there's no config file by that name, mv it over:
  if [ ! -r $OLD ]; then
    mv $NEW $OLD
  elif [ "`cat $OLD | md5sum`" = "`cat $NEW | md5sum`" ]; then # toss the redundant copy
    rm $NEW
  fi
  # Otherwise, we leave the .new copy for the admin to consider...
}

for file in etc/gimp/3.0/*.new ; do
  config $file
done
( cd usr/bin ; rm -rf gimp )
( cd usr/bin ; ln -sf gimp-3.0 gimp )
( cd usr/bin ; rm -rf gimp-3 )
( cd usr/bin ; ln -sf gimp-3.0 gimp-3 )
( cd usr/bin ; rm -rf gimp-console )
( cd usr/bin ; ln -sf gimp-console-3.0 gimp-console )
( cd usr/bin ; rm -rf gimp-console-3 )
( cd usr/bin ; ln -sf gimp-console-3.0 gimp-console-3 )
( cd usr/bin ; rm -rf gimp-test-clipboard )
( cd usr/bin ; ln -sf gimp-test-clipboard-3.0 gimp-test-clipboard )
( cd usr/bin ; rm -rf gimp-test-clipboard-3 )
( cd usr/bin ; ln -sf gimp-test-clipboard-3.0 gimp-test-clipboard-3 )
( cd usr/bin ; rm -rf gimptool )
( cd usr/bin ; ln -sf gimptool-3.0 gimptool )
( cd usr/bin ; rm -rf gimptool-3 )
( cd usr/bin ; ln -sf gimptool-3.0 gimptool-3 )
( cd usr/lib64 ; rm -rf libgimp-3.0.so )
( cd usr/lib64 ; ln -sf libgimp-3.0.so.0 libgimp-3.0.so )
( cd usr/lib64 ; rm -rf libgimp-3.0.so.0 )
( cd usr/lib64 ; ln -sf libgimp-3.0.so.0.0.0 libgimp-3.0.so.0 )
( cd usr/lib64 ; rm -rf libgimp-scriptfu-3.0.so )
( cd usr/lib64 ; ln -sf libgimp-scriptfu-3.0.so.0 libgimp-scriptfu-3.0.so )
( cd usr/lib64 ; rm -rf libgimp-scriptfu-3.0.so.0 )
( cd usr/lib64 ; ln -sf libgimp-scriptfu-3.0.so.0.0.0 libgimp-scriptfu-3.0.so.0 )
( cd usr/lib64 ; rm -rf libgimpbase-3.0.so )
( cd usr/lib64 ; ln -sf libgimpbase-3.0.so.0 libgimpbase-3.0.so )
( cd usr/lib64 ; rm -rf libgimpbase-3.0.so.0 )
( cd usr/lib64 ; ln -sf libgimpbase-3.0.so.0.0.0 libgimpbase-3.0.so.0 )
( cd usr/lib64 ; rm -rf libgimpcolor-3.0.so )
( cd usr/lib64 ; ln -sf libgimpcolor-3.0.so.0 libgimpcolor-3.0.so )
( cd usr/lib64 ; rm -rf libgimpcolor-3.0.so.0 )
( cd usr/lib64 ; ln -sf libgimpcolor-3.0.so.0.0.0 libgimpcolor-3.0.so.0 )
( cd usr/lib64 ; rm -rf libgimpconfig-3.0.so )
( cd usr/lib64 ; ln -sf libgimpconfig-3.0.so.0 libgimpconfig-3.0.so )
( cd usr/lib64 ; rm -rf libgimpconfig-3.0.so.0 )
( cd usr/lib64 ; ln -sf libgimpconfig-3.0.so.0.0.0 libgimpconfig-3.0.so.0 )
( cd usr/lib64 ; rm -rf libgimpmath-3.0.so )
( cd usr/lib64 ; ln -sf libgimpmath-3.0.so.0 libgimpmath-3.0.so )
( cd usr/lib64 ; rm -rf libgimpmath-3.0.so.0 )
( cd usr/lib64 ; ln -sf libgimpmath-3.0.so.0.0.0 libgimpmath-3.0.so.0 )
( cd usr/lib64 ; rm -rf libgimpmodule-3.0.so )
( cd usr/lib64 ; ln -sf libgimpmodule-3.0.so.0 libgimpmodule-3.0.so )
( cd usr/lib64 ; rm -rf libgimpmodule-3.0.so.0 )
( cd usr/lib64 ; ln -sf libgimpmodule-3.0.so.0.0.0 libgimpmodule-3.0.so.0 )
( cd usr/lib64 ; rm -rf libgimpthumb-3.0.so )
( cd usr/lib64 ; ln -sf libgimpthumb-3.0.so.0 libgimpthumb-3.0.so )
( cd usr/lib64 ; rm -rf libgimpthumb-3.0.so.0 )
( cd usr/lib64 ; ln -sf libgimpthumb-3.0.so.0.0.0 libgimpthumb-3.0.so.0 )
( cd usr/lib64 ; rm -rf libgimpui-3.0.so )
( cd usr/lib64 ; ln -sf libgimpui-3.0.so.0 libgimpui-3.0.so )
( cd usr/lib64 ; rm -rf libgimpui-3.0.so.0 )
( cd usr/lib64 ; ln -sf libgimpui-3.0.so.0.0.0 libgimpui-3.0.so.0 )
( cd usr/lib64 ; rm -rf libgimpwidgets-3.0.so )
( cd usr/lib64 ; ln -sf libgimpwidgets-3.0.so.0 libgimpwidgets-3.0.so )
( cd usr/lib64 ; rm -rf libgimpwidgets-3.0.so.0 )
( cd usr/lib64 ; ln -sf libgimpwidgets-3.0.so.0.0.0 libgimpwidgets-3.0.so.0 )
( cd usr/libexec ; rm -rf gimp-debug-tool )
( cd usr/libexec ; ln -sf gimp-debug-tool-3.0 gimp-debug-tool )
( cd usr/libexec ; rm -rf gimp-debug-tool-3 )
( cd usr/libexec ; ln -sf gimp-debug-tool-3.0 gimp-debug-tool-3 )
( cd usr/man/man1 ; rm -rf gimp-3.1.gz )
( cd usr/man/man1 ; ln -sf gimp-3.0.1.gz gimp-3.1.gz )
( cd usr/man/man1 ; rm -rf gimp-console-3.1.gz )
( cd usr/man/man1 ; ln -sf gimp-console-3.0.1.gz gimp-console-3.1.gz )
( cd usr/man/man1 ; rm -rf gimp-console.1.gz )
( cd usr/man/man1 ; ln -sf gimp-console-3.0.1.gz gimp-console.1.gz )
( cd usr/man/man1 ; rm -rf gimp.1.gz )
( cd usr/man/man1 ; ln -sf gimp-3.0.1.gz gimp.1.gz )
( cd usr/man/man1 ; rm -rf gimptool-3.1.gz )
( cd usr/man/man1 ; ln -sf gimptool-3.0.1.gz gimptool-3.1.gz )
( cd usr/man/man1 ; rm -rf gimptool.1.gz )
( cd usr/man/man1 ; ln -sf gimptool-3.0.1.gz gimptool.1.gz )
( cd usr/man/man5 ; rm -rf gimprc-3.5.gz )
( cd usr/man/man5 ; ln -sf gimprc-3.0.5.gz gimprc-3.5.gz )
( cd usr/man/man5 ; rm -rf gimprc.5.gz )
( cd usr/man/man5 ; ln -sf gimprc-3.0.5.gz gimprc.5.gz )
